Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.cms
Class CMSTypedStream

    java.lang.Object
      org.bouncycastle.cms.CMSTypedStream

    public class CMSTypedStream

extends java.lang.Object

Constructor Summary
`CMSTypedStream(java.io.InputStream in)`
`CMSTypedStream(java.lang.String oid, java.io.InputStream in)`
`CMSTypedStream(java.lang.String oid, java.io.InputStream in, int bufSize)`

Method Summary
`void` `drain()`
`java.io.InputStream` `getContentStream()`
`java.lang.String` `getContentType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSTypedStream

    public CMSTypedStream(java.io.InputStream in)

### CMSTypedStream

    public CMSTypedStream(java.lang.String oid,
                          java.io.InputStream in)

### CMSTypedStream

    public CMSTypedStream(java.lang.String oid,
                          java.io.InputStream in,
                          int bufSize)

Method Detail

### getContentType

    public java.lang.String getContentType()

### getContentStream

    public java.io.InputStream getContentStream()

### drain

    public void drain()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Bouncy Castle Cryptography Library 1.45